var fdfDoc;
var stringBuilder;
//**************************************************



function createfdf(segment, index) {
	var result = null;

	if (segment == 0 && index == 0) {
		result = createMainFdf();
	}

	if (segment == 1) {
		var fdfs = createNfdf();
		if (index < fdfs.length)
			result = fdfs[index];
	}
	//if (segment == 2) {
	//	var fdfs = createN2fdf();
	//	if (index < fdfs.length)
	//		result = fdfs[index];
	//}
	return result;
}


function createMainFdf() {
	stringBuilder = new $.StringBuilder();
	stringBuilder.appendLine('%FDF-1.2');
	stringBuilder.appendLine('%%âăĎÓ');
	stringBuilder.appendLine('1 0 obj');
	stringBuilder.appendLine('<<');
	stringBuilder.appendLine('  /FDF');
	stringBuilder.appendLine('    << /Fields');
	stringBuilder.appendLine('      [');
	stringBuilder.appendLine('       << /V(' + prepisznakyFdf('Tlačivo vytlačené z Portálu FS') + ')/T (print)>>');
	stringBuilder.appendLine('    << /V (' + prepisznakyFdf($('#colnyurad').val()) + ')/T (colny_urad)>>');
	stringBuilder.appendLine('    << /V (' + ($('#danovepriznanie').is(':checked') ? 'X' : '') + ')/T (rdp)>>');
	stringBuilder.appendLine('    << /V (' + ($('#opravnepriznanie').is(':checked') ? 'X' : '') + ')/T (odp)>>');
	stringBuilder.appendLine('    << /V (' + ($('#dodatocnepriznanie').is(':checked') ? 'X' : '') + ')/T (ddp)>>');
	var datumDDP = $("#DatumZisteniaDDP").datepicker("getDate");
	if (datumDDP != null) {
		stringBuilder.appendLine('    << /V (' + datumDDP.getDate() + ')/T (dzs_den)>>');
		stringBuilder.appendLine('    << /V (' + (datumDDP.getMonth() + 1) + ')/T (dzs_mes)>>');
		stringBuilder.appendLine('    << /V (' + (datumDDP.getFullYear() + "").substr(2) + ')/T (dzs_rok)>>');
	}
	else {
		stringBuilder.appendLine('    << /V ()/T (dzs_den)>>');
		stringBuilder.appendLine('    << /V ()/T (dzs_mes)>>');
		stringBuilder.appendLine('    << /V ()/T (dzs_rok)>>');
	}
	stringBuilder.appendLine('    << /V (' + $("#den").val().replace(/^0/g, "") + ')/T (zo_den)>>');
	stringBuilder.appendLine('    << /V (' + prepisznakyFdf($('#mesiac').val()) + ')/T (zo_mes)>>');
	stringBuilder.appendLine('    << /V (' + prepisznakyFdf($('#rok').val().substr(2)) + ')/T (zo_rok)>>');
	stringBuilder.appendLine('    << /V (' + $('#pocet2stran').val() + ')/T (PocetStran2)>>');
	stringBuilder.appendLine('    << /V (' + $('#pocet3stran').val() + ')/T (PocetStran3)>>');
	stringBuilder.appendLine('    << /V (' + prepisznakyFdf($('#registracne').val()) + ')/T (rcpdzp)>>');
	if ($('#evidencne').is(':checked')) {
		stringBuilder.appendLine('    << /V (' + prepisznakyFdf($('#hodnotaec').val()) + ')/T (ecspdzp)>>');
	}
	if ($('#ico').is(':checked')) {
		stringBuilder.appendLine('    << /V (' + prepisznakyFdf($('#hodnotaico').val()) + ')/T (ecspdzp)>>');
	}
	if ($('#rodcis').is(':checked')) {
		stringBuilder.appendLine('    << /V (' + prepisznakyFdf($('#hodnotarodcis').val()) + ')/T (ecspdzp)>>');
	}
	stringBuilder.appendLine('    << /V (' + prepisznakyFdf($('#menodz').val().substr(0, 37)) + ')/T (pdzp_meno1)>>');
	stringBuilder.appendLine('    << /V (' + prepisznakyFdf($('#menodz').val().substr(37)) + ')/T (pdzp_meno2)>>');
	stringBuilder.appendLine('     << /V (' + prepisznakyFdf($('#ulica').val()) + ')/T (pdzp_ulica)>>');
	stringBuilder.appendLine('    << /V (' + prepisznakyFdf($('#cislodomu').val()) + ')/T (pdzp_cislo)>>');
	stringBuilder.appendLine('    << /V (' + prepisznakyFdf($('#psc').val()) + ')/T (pdzp_psc)>>');
	stringBuilder.appendLine('    << /V (' + prepisznakyFdf($('#obec').val()) + ')/T (pdzp_obec)>>');
	stringBuilder.appendLine('    << /V (' + ($('#ucet').is(':checked') ? (prepisznakyFdf($('#cislouctu').val()) + '/' + prepisznakyFdf($('#kodbanky').val())) : prepisznakyFdf($('#hodnotaiban').val())) + ')/T (cuakb)>>');
	stringBuilder.appendLine('    << /V (' + prepisznakyFdf($('#riadokoo').val()) + ')/T (platitel_meno)>>');
	stringBuilder.appendLine('     << /V (' + prepisznakyFdf($('#telefonoo').val()) + ')/T (platitel_tel)>>');
	stringBuilder.appendLine('    << /V (' + prepisznakyFdf($('#emailoo').val()) + ')/T (platitel_email)>>');
	if (!!$('#datumvyhlasenia').val()) {
		stringBuilder.appendLine('    << /V (' + prepisznakyFdf($('#datumvyhlasenia').val().split(".")[0]) + ')/T (vyhlasenie_den)>>');
	} else {
		stringBuilder.appendLine('    << /V ()/T (vyhlasenie_den)>>');
	}
	if (!!$('#datumvyhlasenia').val()) {
		stringBuilder.appendLine('    << /V (' + prepisznakyFdf($('#datumvyhlasenia').val().split(".")[1]) + ')/T (vyhlasenie_mes)>>');
	} else {
		stringBuilder.appendLine('    << /V ()/T (vyhlasenie_mes)>>');
	}
	if (!!$('#datumvyhlasenia').val()) {
		stringBuilder.appendLine('    << /V (' + prepisznakyFdf($('#datumvyhlasenia').val().split(".")[2].substr(2)) + ')/T (vyhlasenie_rok)>>');
	} else {
		stringBuilder.appendLine('    << /V ()/T (vyhlasenie_rok)>>');
	}
	stringBuilder.appendLine('    << /V (' + prepisznakyFdf($('#riadokvypracoval').val()) + ')/T (vyhotovil_meno)>>');
	stringBuilder.appendLine('     << /V (' + prepisznakyFdf($('#telefonv').val()) + ')/T (vyhotovil_tel)>>');
	stringBuilder.appendLine('    << /V (' + prepisznakyFdf($('#emailv').val()) + ')/T (vyhotovil_email)>>');

	stringBuilder.appendLine('    << /V ()/T (dp_den)>>');
	stringBuilder.appendLine('    << /V ()/T (dp_mes)>>');
	stringBuilder.appendLine('    << /V ()/T (dp_rok)>>');

	stringBuilder.appendLine('      ]');
	stringBuilder.appendLine('    /F (form.615.SPDZP-25-print-save.pdf)');
	stringBuilder.appendLine('    /ID [ <97fb02b45ad58b6aa2b6872c3aa1944c><9de158208a4c769cd4170b2fe84a6777>]');
	stringBuilder.appendLine('  >> ');
	stringBuilder.appendLine('>> ');
	stringBuilder.appendLine('endobj');
	stringBuilder.appendLine('trailer');
	stringBuilder.appendLine('<< /Root 1 0 R >>');
	stringBuilder.appendLine('%%EOF');
	return stringBuilder.string();
}

function createNfdf() {
	var fdfObsah = new Array();
	var pocetvsetkychsekcii = 1;
	var pocetvsetkychsekcii = $('#layoutRow41073').pageableSection().totalPages;
	var pocetsekciinastranu = 2;
	var pocetmaxstran = 6;
	var davka = 0;
	for (var t = 1; t <= pocetvsetkychsekcii; t += (pocetsekciinastranu * pocetmaxstran)) {
		davka = davka + 1;
		var r = 0;
		if ((pocetsekciinastranu * pocetmaxstran * davka) > pocetvsetkychsekcii) {
			r = pocetvsetkychsekcii;
		} else {
			r = pocetsekciinastranu * pocetmaxstran * davka;
		}
		fdfObsah[davka - 1] = createopakovaneNfdf(davka, t, r, pocetsekciinastranu, pocetmaxstran);
	}
	var x = 1;
	return fdfObsah;
}

//function createN2fdf() {
//	var fdfObsah = new Array();
//	var pocetvsetkychsekcii = 1;
//	var pocetvsetkychsekcii = $('#layoutRow27119').pageableSection().totalPages;
//	var pocetsekciinastranu = 2;
//	var pocetmaxstran = 6;
//	var davka = 0;
//	for (var t = 1; t <= pocetvsetkychsekcii; t += (pocetsekciinastranu * pocetmaxstran)) {
//		davka = davka + 1;
//		var r = 0;
//		if ((pocetsekciinastranu * pocetmaxstran * davka) > pocetvsetkychsekcii) {
//			r = pocetvsetkychsekcii;
//		} else {
//			r = pocetsekciinastranu * pocetmaxstran * davka;
//		}
//		fdfObsah[davka - 1] = createopakovaneN2fdf(davka, t, r, pocetsekciinastranu, pocetmaxstran);
//	}
//	var x = 1;
//	return fdfObsah;
//}

function createopakovaneNfdf(davka, zaciatoksekcii, koniecsekcii, pocetsekciinastranu, pocetmaxstran) {
	var polesekcii = $('#layoutRow41073').pageableSection();
	var pocetsekcii = koniecsekcii - zaciatoksekcii + 1;
	var sekciinastranu = pocetsekciinastranu;
	var zacniprazdne = 0;
	var zacnisekciu = 0;
	var sekcia = 0;
	var aktstrana = 0;
	var cisloPoslSek = 0;
	var pocetstran = vypocetpoctustranFdf(pocetsekcii, sekciinastranu);
	stringBuilder = new $.StringBuilder();
	stringBuilder.appendLine('%FDF-1.2');
	stringBuilder.appendLine('%%âăĎÓ');
	stringBuilder.appendLine('1 0 obj');
	stringBuilder.appendLine('<<');
	stringBuilder.appendLine('  /FDF');
	stringBuilder.appendLine('    << /Fields');
	stringBuilder.appendLine('      [');
	stringBuilder.appendLine('       << /V(' + prepisznakyFdf('Tlačivo vytlačené z Portálu FS') + ')/T (print)>>');
	stringBuilder.appendLine('        << /V (' + pocetstran + ')/T (PocetStran)>>');

	if ($('#evidencne').is(':checked')) {
		stringBuilder.appendLine('    << /V (' + prepisznakyFdf($('#hodnotaec').val()) + ')/T (ecspdzp)>>');
	}
	if ($('#ico').is(':checked')) {
		stringBuilder.appendLine('    << /V (' + prepisznakyFdf($('#hodnotaico').val()) + ')/T (ecspdzp)>>');
	}
	if ($('#rodcis').is(':checked')) {
		stringBuilder.appendLine('    << /V (' + prepisznakyFdf($('#hodnotarodcis').val()) + ')/T (ecspdzp)>>');
	}
	stringBuilder.appendLine('        << /V (1)/T (akt)>>');
	stringBuilder.appendLine('        << /V (' + pocetstran2fdf('layoutRow41073', 2) + ')/T (pocet)>>');
	for (var strana = 0; strana <= pocetstran - 1; strana++) {
		aktstrana = ((zaciatoksekcii - 1) / pocetsekciinastranu) + strana + 1;
		var pdfstrana = strana + 1;
		stringBuilder.appendLine('      << /T (' + Number(pdfstrana) + ')/Kids');
		stringBuilder.appendLine('    	[');
		stringBuilder.appendLine('	       << /V(' + Number(strana + 1) + ')/T (strana)>>');

		for (var aktcyklus = 1; aktcyklus <= sekciinastranu; aktcyklus++) {
			zacniprazdne = aktcyklus + 1;
			if (zacniprazdne >= sekciinastranu) {
				zacniprazdne = 1;
			}
			sekcia = (zaciatoksekcii - 1) + (strana * sekciinastranu) + aktcyklus;
			zacnisekciu = sekcia;
			if ((strana * sekciinastranu) + aktcyklus > pocetsekcii) {
				break;
			}
			var pageValues1 = polesekcii.pages[sekcia - 1];
			stringBuilder.appendLine('	       << /T (' + ((aktcyklus & 1) ? '1' : '2') + ')/Kids');
			stringBuilder.appendLine('	        [');
			stringBuilder.appendLine('	           << /V (' + ((getPageValueRbList2Fdf(pageValues1, 'druhPlynu_r1') == 1 || getPageValueRbList2Fdf(pageValues1, 'r1a_1') == true) ? 'X' : '') + ')/T (r1-28a)>>');
			stringBuilder.appendLine('	           << /V (' + ((getPageValueRbList2Fdf(pageValues1, 'druhPlynu_r1') == 2 || getPageValueRbList2Fdf(pageValues1, 'r1b_1') == true) ? 'X' : '') + ')/T (r1-28b)>>');
			stringBuilder.appendLine('	           << /V (' + ((getPageValueRbList2Fdf(pageValues1, 'druhPlynu_r1') == 3 || getPageValueRbList2Fdf(pageValues1, 'r1c_1') == true) ? 'X' : '') + ')/T (r1-28c)>>');
			stringBuilder.appendLine('	           << /V (' + ((getPageValueRbList2Fdf(pageValues1, 'druhPlynu_r1') == 4 || getPageValueRbList2Fdf(pageValues1, 'r1d_1') == true) ? 'X' : '') + ')/T (r1-28d)>>');
			stringBuilder.appendLine('	           << /V (' + ((getPageValueRbList2Fdf(pageValues1, 'druhPlynu_r1') == 5 || getPageValueRbList2Fdf(pageValues1, 'r1e_1') == true) ? 'X' : '') + ')/T (r1-28e)>>');


			stringBuilder.appendLine('	           << /V (' + ((getPageValueRbList2Fdf(pageValues1, 'poradie2') == 1 || getPageValueRbList2Fdf(pageValues1, 'pismr2a') == true) ? 'X' : '') + ')/T (r2ap)>>');
			stringBuilder.appendLine('	           << /V (' + celacast(getPageValue2Fdf(pageValues1, 'r2a')) + ')/T (r2a)>>');
			stringBuilder.appendLine('	           << /V (' + desatinnacast(getPageValue2Fdf(pageValues1, 'r2a'), 3) + ')/T (r2ad)>>');

			stringBuilder.appendLine('	           << /V (' + ((getPageValueRbList2Fdf(pageValues1, 'poradie2') == 2 || getPageValueRbList2Fdf(pageValues1, 'pismr2b') == true) ? 'X' : '') + ')/T (r2bp)>>');
			stringBuilder.appendLine('	           << /V (' + celacast(getPageValue2Fdf(pageValues1, 'r2b')) + ')/T (r2b)>>');
			stringBuilder.appendLine('	           << /V (' + desatinnacast(getPageValue2Fdf(pageValues1, 'r2b'), 3) + ')/T (r2bd)>>');

			stringBuilder.appendLine('	           << /V (' + ((getPageValueRbList2Fdf(pageValues1, 'poradie2') == 3 || getPageValueRbList2Fdf(pageValues1, 'pismr2c') == true) ? 'X' : '') + ')/T (r2cp)>>');
			stringBuilder.appendLine('	           << /V (' + celacast(getPageValue2Fdf(pageValues1, 'r2c')) + ')/T (r2c)>>');
			stringBuilder.appendLine('	           << /V (' + desatinnacast(getPageValue2Fdf(pageValues1, 'r2c'), 3) + ')/T (r2cd)>>');


			stringBuilder.appendLine('	           << /V (' + celacast(getPageValue2Fdf(pageValues1, 'r3')) + ')/T (r3)>>');
			stringBuilder.appendLine('	           << /V (' + desatinnacast(getPageValue2Fdf(pageValues1, 'r3'), 3) + ')/T (r3d)>>');
			stringBuilder.appendLine('	           << /V (' + celacast(getPageValue2Fdf(pageValues1, 'r4')) + ')/T (r4)>>');
			stringBuilder.appendLine('	           << /V (' + desatinnacast(getPageValue2Fdf(pageValues1, 'r4'), 3) + ')/T (r4d)>>');
			stringBuilder.appendLine('	           << /V (' + celacast(getPageValue2Fdf(pageValues1, 'r5')) + ')/T (r5)>>');
			stringBuilder.appendLine('	           << /V (' + desatinnacast(getPageValue2Fdf(pageValues1, 'r5'), 3) + ')/T (r5d)>>');
			stringBuilder.appendLine('	           << /V (' + celacast(getPageValue2Fdf(pageValues1, 'r6')) + ')/T (r6)>>');
			stringBuilder.appendLine('	           << /V (' + desatinnacast(getPageValue2Fdf(pageValues1, 'r6'), 3) + ')/T (r6d)>>');
			stringBuilder.appendLine('	           << /V (' + celacast(getPageValue2Fdf(pageValues1, 'r7')) + ')/T (r7)>>');
			stringBuilder.appendLine('	           << /V (' + desatinnacast(getPageValue2Fdf(pageValues1, 'r7'), 3) + ')/T (r7d)>>');
			stringBuilder.appendLine('	           << /V (' + celacast(getPageValue2Fdf(pageValues1, 'r8')) + ')/T (r8)>>');
			stringBuilder.appendLine('	           << /V (' + desatinnacast(getPageValue2Fdf(pageValues1, 'r8'), 3) + ')/T (r8d)>>');
			stringBuilder.appendLine('	           << /V (' + celacast(getPageValue2Fdf(pageValues1, 'r9')) + ')/T (r9)>>');
			stringBuilder.appendLine('	           << /V (' + desatinnacast(getPageValue2Fdf(pageValues1, 'r9'), 3) + ')/T (r9d)>>');
			stringBuilder.appendLine('	           << /V (' + celacast(getPageValue2Fdf(pageValues1, 'r10')) + ')/T (r10)>>');
			stringBuilder.appendLine('	           << /V (' + desatinnacast(getPageValue2Fdf(pageValues1, 'r10'), 3) + ')/T (r10d)>>');
			stringBuilder.appendLine('	           << /V (' + celacast(getPageValue2Fdf(pageValues1, 'r11')) + ')/T (r11)>>');
			stringBuilder.appendLine('	           << /V (' + desatinnacast(getPageValue2Fdf(pageValues1, 'r11'), 3) + ')/T (r11d)>>');
			stringBuilder.appendLine('	           << /V (' + celacast(getPageValue2Fdf(pageValues1, 'r12')) + ')/T (r12)>>');
			stringBuilder.appendLine('	           << /V (' + desatinnacast(getPageValue2Fdf(pageValues1, 'r12'), 3) + ')/T (r12d)>>');
			stringBuilder.appendLine('	           << /V (' + celacast(getPageValue2Fdf(pageValues1, 'r13')) + ')/T (r13)>>');
			stringBuilder.appendLine('	           << /V (' + desatinnacast(getPageValue2Fdf(pageValues1, 'r13'), 3) + ')/T (r13d)>>');
			stringBuilder.appendLine('	           << /V (' + celacast(getPageValue2Fdf(pageValues1, 'r14')) + ')/T (r14)>>');
			stringBuilder.appendLine('	           << /V (' + desatinnacast(getPageValue2Fdf(pageValues1, 'r14'), 3) + ')/T (r14d)>>');
			stringBuilder.appendLine('	           << /V (' + celacast(getPageValue2Fdf(pageValues1, 'r15')) + ')/T (r15)>>');
			stringBuilder.appendLine('	           << /V (' + desatinnacast(getPageValue2Fdf(pageValues1, 'r15'), 3) + ')/T (r15d)>>');
			stringBuilder.appendLine('	           << /V (' + celacast(getPageValue2Fdf(pageValues1, 'r16')) + ')/T (r16)>>');
			stringBuilder.appendLine('	           << /V (' + desatinnacast(getPageValue2Fdf(pageValues1, 'r16'), 3) + ')/T (r16d)>>');
			stringBuilder.appendLine('	           << /V (' + celacast(getPageValue2Fdf(pageValues1, 'r17')) + ')/T (r17)>>');
			stringBuilder.appendLine('	           << /V (' + desatinnacast(getPageValue2Fdf(pageValues1, 'r17'), 3) + ')/T (r17d)>>');
			stringBuilder.appendLine('	           << /V (' + celacast(getPageValue2Fdf(pageValues1, 'r18')) + ')/T (r18)>>');
			stringBuilder.appendLine('	           << /V (' + desatinnacast(getPageValue2Fdf(pageValues1, 'r18'), 3) + ')/T (r18d)>>');
			stringBuilder.appendLine('	           << /V (' + celacast(getPageValue2Fdf(pageValues1, 'r19')) + ')/T (r19)>>');
			stringBuilder.appendLine('	           << /V (' + desatinnacast(getPageValue2Fdf(pageValues1, 'r19'), 3) + ')/T (r19d)>>');
			stringBuilder.appendLine('	           << /V (' + celacast(getPageValue2Fdf(pageValues1, 'r20')) + ')/T (r20)>>');
			stringBuilder.appendLine('	           << /V (' + desatinnacast(getPageValue2Fdf(pageValues1, 'r20'), 3) + ')/T (r20d)>>');
			stringBuilder.appendLine('	           << /V (' + celacast(getPageValue2Fdf(pageValues1, 'r21')) + ')/T (r21)>>');
			stringBuilder.appendLine('	           << /V (' + desatinnacast(getPageValue2Fdf(pageValues1, 'r21'), 3) + ')/T (r21d)>>');
			stringBuilder.appendLine('	           << /V (' + prepisznakyFdf(znamienko(getPageValue2Fdf(pageValues1, 'r22'))) + ')/T (r22z)>>');
			stringBuilder.appendLine('	           << /V (' + bezZnamienka(celacast(getPageValue2Fdf(pageValues1, 'r22'))) + ')/T (r22)>>');
			stringBuilder.appendLine('	           << /V (' + desatinnacast(getPageValue2Fdf(pageValues1, 'r22'), 3) + ')/T (r22d)>>');
			stringBuilder.appendLine('	           << /V (' + prepisznakyFdf(znamienko(getPageValue2Fdf(pageValues1, 'r23'))) + ')/T (r23z)>>');
			stringBuilder.appendLine('	           << /V (' + bezZnamienka(celacast(getPageValue2Fdf(pageValues1, 'r23'))) + ')/T (r23)>>');
			stringBuilder.appendLine('	           << /V (' + desatinnacast(getPageValue2Fdf(pageValues1, 'r23'), 2) + ')/T (r23d)>>');
			stringBuilder.appendLine('            ]');
			stringBuilder.appendLine('            >>');
			if (!(aktcyklus & 1) && (pdfstrana == pocetstran)) {
				stringBuilder.appendLine('	         << /V (' + prepisznakyFdf(znamienko($('#r24').val())) + ')/T (vysledna_danz)>>');
				stringBuilder.appendLine('	         << /V (' + bezZnamienka(celacast($('#r24').val())) + ')/T (vysledna_dan)>>');
				stringBuilder.appendLine('	         << /V (' + desatinnacast($('#r24').val(), 2) + ')/T (vysledna_dand)>>');
				stringBuilder.appendLine('	         << /V (' + prepisznakyFdf($('#r25').val()) + ')/T (vysledna_dans)>>');
				stringBuilder.appendLine('            ]');
				stringBuilder.appendLine('            >>');
			} else if (!(aktcyklus & 1)) {
				stringBuilder.appendLine('	         << /V ()/T (vysledna_danz)>>');
				stringBuilder.appendLine('	         << /V ()/T (vysledna_dan)>>');
				stringBuilder.appendLine('	         << /V ()/T (vysledna_dand)>>');
				stringBuilder.appendLine('	         << /V ()/T (vysledna_dans)>>');
				stringBuilder.appendLine('         ]');
				stringBuilder.appendLine('       >>');
			}
			cisloPoslSek = aktcyklus + 1;
		}
		stringBuilder.appendLine('');
	}
	if ($('#layoutRow41073').pageableSection().totalPages & 1) {
		stringBuilder.appendLine('	       << /T (2)/Kids');
		stringBuilder.appendLine('	        [');
		stringBuilder.appendLine('	           << /V ()/T (r1-28a)>>');
		stringBuilder.appendLine('	           << /V ()/T (r1-28b)>>');
		stringBuilder.appendLine('	           << /V ()/T (r1-28c)>>');
		stringBuilder.appendLine('	           << /V ()/T (r1-28d)>>');
		stringBuilder.appendLine('	           << /V ()/T (r1-28e)>>');
		stringBuilder.appendLine('	           << /V ()/T (r1-p)>>');
		stringBuilder.appendLine('	           << /V ()/T (r1-d)>>');
		stringBuilder.appendLine('	           << /V ()/T (r2ap)>>');
		stringBuilder.appendLine('	           << /V ()/T (r2a)>>');
		stringBuilder.appendLine('	           << /V ()/T (r2ad)>>');
		stringBuilder.appendLine('	           << /V ()/T (r2bp)>>');
		stringBuilder.appendLine('	           << /V ()/T (r2b)>>');
		stringBuilder.appendLine('	           << /V ()/T (r2bd)>>');
		stringBuilder.appendLine('	           << /V ()/T (r2cp)>>');
		stringBuilder.appendLine('	           << /V ()/T (r2c)>>');
		stringBuilder.appendLine('	           << /V ()/T (r2cd)>>');
		stringBuilder.appendLine('	           << /V ()/T (r3)>>');
		stringBuilder.appendLine('	           << /V ()/T (r3d)>>');
		stringBuilder.appendLine('	           << /V ()/T (r4)>>');
		stringBuilder.appendLine('	           << /V ()/T (r4d)>>');
		stringBuilder.appendLine('	           << /V ()/T (r5)>>');
		stringBuilder.appendLine('	           << /V ()/T (r5d)>>');
		stringBuilder.appendLine('	           << /V ()/T (r6)>>');
		stringBuilder.appendLine('	           << /V ()/T (r6d)>>');
		stringBuilder.appendLine('	           << /V ()/T (r7)>>');
		stringBuilder.appendLine('	           << /V ()/T (r7d)>>');
		stringBuilder.appendLine('	           << /V ()/T (r8)>>');
		stringBuilder.appendLine('	           << /V ()/T (r8d)>>');
		stringBuilder.appendLine('	           << /V ()/T (r9)>>');
		stringBuilder.appendLine('	           << /V ()/T (r9d)>>');
		stringBuilder.appendLine('	           << /V ()/T (r10)>>');
		stringBuilder.appendLine('	           << /V ()/T (r10d)>>');
		stringBuilder.appendLine('	           << /V ()/T (r11)>>');
		stringBuilder.appendLine('	           << /V ()/T (r11d)>>');
		stringBuilder.appendLine('	           << /V ()/T (r12)>>');
		stringBuilder.appendLine('	           << /V ()/T (r12d)>>');
		stringBuilder.appendLine('	           << /V ()/T (r13)>>');
		stringBuilder.appendLine('	           << /V ()/T (r13d)>>');
		stringBuilder.appendLine('	           << /V ()/T (r14)>>');
		stringBuilder.appendLine('	           << /V ()/T (r14d)>>');
		stringBuilder.appendLine('	           << /V ()/T (r15)>>');
		stringBuilder.appendLine('	           << /V ()/T (r15d)>>');
		stringBuilder.appendLine('	           << /V ()/T (r16)>>');
		stringBuilder.appendLine('	           << /V ()/T (r16d)>>');
		stringBuilder.appendLine('	           << /V ()/T (r17)>>');
		stringBuilder.appendLine('	           << /V ()/T (r17d)>>');
		stringBuilder.appendLine('	           << /V ()/T (r18)>>');
		stringBuilder.appendLine('	           << /V ()/T (r18d)>>');
		stringBuilder.appendLine('	           << /V ()/T (r19)>>');
		stringBuilder.appendLine('	           << /V ()/T (r19d)>>');
		stringBuilder.appendLine('	           << /V ()/T (r20)>>');
		stringBuilder.appendLine('	           << /V ()/T (r20d)>>');
		stringBuilder.appendLine('	           << /V ()/T (r21)>>');
		stringBuilder.appendLine('	           << /V ()/T (r21d)>>');
		stringBuilder.appendLine('	           << /V ()/T (r22z)>>');
		stringBuilder.appendLine('	           << /V ()/T (r22)>>');
		stringBuilder.appendLine('	           << /V ()/T (r22d)>>');
		stringBuilder.appendLine('	           << /V ()/T (r23z)>>');
		stringBuilder.appendLine('	           << /V ()/T (r23)>>');
		stringBuilder.appendLine('	           << /V ()/T (r23d)>>');
		stringBuilder.appendLine('            ]');
		stringBuilder.appendLine('            >>');
		if (pdfstrana == pocetstran) {
			stringBuilder.appendLine('	         << /V (' + prepisznakyFdf(znamienko($('#r24').val())) + ')/T (vysledna_danz)>>');
			stringBuilder.appendLine('	         << /V (' + bezZnamienka(celacast($('#r24').val())) + ')/T (vysledna_dan)>>');
			stringBuilder.appendLine('	         << /V (' + desatinnacast($('#r24').val(), 2) + ')/T (vysledna_dand)>>');
			stringBuilder.appendLine('	         << /V (' + prepisznakyFdf($('#r25').val()) + ')/T (vysledna_dans)>>');
			stringBuilder.appendLine('         ]');
			stringBuilder.appendLine('       >>');
		} else {
			stringBuilder.appendLine('	         << /V ()/T (vysledna_danz)>>');
			stringBuilder.appendLine('	         << /V ()/T (vysledna_dan)>>');
			stringBuilder.appendLine('	         << /V ()/T (vysledna_dand)>>');
			stringBuilder.appendLine('	         << /V ()/T (vysledna_dans)>>');
			stringBuilder.appendLine('         ]');
			stringBuilder.appendLine('       >>');
		}
	}
	stringBuilder.appendLine('      ]');
	stringBuilder.appendLine('    /F (form.615.SPDZP-25-Strana2-print-save.pdf)');
	stringBuilder.appendLine('    /ID [ <97fb02b45ad58b6aa2b6872c3aa1944c><9de158208a4c769cd4170b2fe84a6777>]');
	stringBuilder.appendLine('  >> ');
	stringBuilder.appendLine('>> ');
	stringBuilder.appendLine('endobj');
	stringBuilder.appendLine('trailer');
	stringBuilder.appendLine('<< /Root 1 0 R >>');
	stringBuilder.appendLine('%%EOF');
	return stringBuilder.string();
}

//function createopakovaneN2fdf(davka, zaciatoksekcii, koniecsekcii, pocetsekciinastranu, pocetmaxstran) {
//	var polesekcii = $('#layoutRow27119').pageableSection();
//	var pocetsekcii = koniecsekcii - zaciatoksekcii + 1;
//	var sekciinastranu = pocetsekciinastranu;
//	var zacniprazdne = 0;
//	var zacnisekciu = 0;
//	var sekcia = 0;
//	var aktstrana = 0;
//	var cisloPoslSek = 0;
//	var pocetstran = vypocetpoctustranFdf(pocetsekcii, sekciinastranu);
//	stringBuilder = new $.StringBuilder();
//	stringBuilder.appendLine('%FDF-1.2');
//	stringBuilder.appendLine('%âăĎÓ');
//	stringBuilder.appendLine('1 0 obj');
//	stringBuilder.appendLine('<<');
//	stringBuilder.appendLine('  /FDF');
//	stringBuilder.appendLine('    << /Fields');
//	stringBuilder.appendLine('      [');
//	stringBuilder.appendLine('       << /V(' + prepisznakyFdf('Tlačivo vytlačené z Portálu FS') + ')/T (print)>>');
//	stringBuilder.appendLine('        << /V (' + pocetstran + ')/T (PocetStran)>>');

//	if ($('#evidencne').is(':checked')) {
//		stringBuilder.appendLine('    << /V (' + prepisznakyFdf($('#hodnotaec').val()) + ')/T (ecspdzp)>>');
//	}
//	if ($('#ico').is(':checked')) {
//		stringBuilder.appendLine('    << /V (' + prepisznakyFdf($('#hodnotaico').val()) + ')/T (ecspdzp)>>');
//	}
//	if ($('#rodcis').is(':checked')) {
//		stringBuilder.appendLine('    << /V (' + prepisznakyFdf($('#hodnotarodcis').val()) + ')/T (ecspdzp)>>');
//	}
//	stringBuilder.appendLine('        << /V (1)/T (akt)>>');
//	stringBuilder.appendLine('        << /V (' + pocetstran2fdf('layoutRow27119', 2) + ')/T (pocet)>>');
//	for (var strana = 0; strana <= pocetstran - 1; strana++) {
//		aktstrana = ((zaciatoksekcii - 1) / pocetsekciinastranu) + strana + 1;
//		var pdfstrana = strana + 1;
//		stringBuilder.appendLine('      << /T (' + Number(pdfstrana) + ')/Kids');
//		stringBuilder.appendLine('    	[');
//		stringBuilder.appendLine('	       << /V(' + Number(strana + 1) + ')/T (strana)>>');

//		for (var aktcyklus = 1; aktcyklus <= sekciinastranu; aktcyklus++) {
//			zacniprazdne = aktcyklus + 1;
//			if (zacniprazdne >= sekciinastranu) {
//				zacniprazdne = 1;
//			}
//			sekcia = (zaciatoksekcii - 1) + (strana * sekciinastranu) + aktcyklus;
//			zacnisekciu = sekcia;
//			if ((strana * sekciinastranu) + aktcyklus > pocetsekcii) {
//				break;
//			}
//			var pageValues1 = polesekcii.pages[sekcia - 1];
//			stringBuilder.appendLine('	       << /T (' + ((aktcyklus & 1) ? '1' : '2') + ')/Kids');
//			stringBuilder.appendLine('	        [');
//			stringBuilder.appendLine('	           << /V (' + ((getPageValueRbList2Fdf(pageValues1, 'druhPlynu_r7') == 1 || getPageValueRbList2Fdf(pageValues1, 'r7a_1') == true) ? 'X' : '') + ')/T (r1-28a)>>');
//			stringBuilder.appendLine('	           << /V (' + ((getPageValueRbList2Fdf(pageValues1, 'druhPlynu_r7') == 2 || getPageValueRbList2Fdf(pageValues1, 'r7b_1') == true) ? 'X' : '') + ')/T (r1-28b)>>');
//			stringBuilder.appendLine('	           << /V (' + ((getPageValueRbList2Fdf(pageValues1, 'druhPlynu_r7') == 3 || getPageValueRbList2Fdf(pageValues1, 'r7c_1') == true) ? 'X' : '') + ')/T (r1-28c)>>');
//			stringBuilder.appendLine('	           << /V (' + ((getPageValueRbList2Fdf(pageValues1, 'druhPlynu_r7') == 4 || getPageValueRbList2Fdf(pageValues1, 'r7d_1') == true) ? 'X' : '') + ')/T (r1-28d)>>');
//			stringBuilder.appendLine('	           << /V (' + ((getPageValueRbList2Fdf(pageValues1, 'ucelPlynu_r7') == 1 || getPageValueRbList2Fdf(pageValues1, 'r7latka_1') == true) ? 'X' : '') + ')/T (r1-p)>>');
//			stringBuilder.appendLine('	           << /V (' + ((getPageValueRbList2Fdf(pageValues1, 'ucelPlynu_r7') == 2 || getPageValueRbList2Fdf(pageValues1, 'r7palivo_1') == true) ? 'X' : '') + ')/T (r1-t)>>');

//			stringBuilder.appendLine('	           << /V (' + ((getPageValueRbList2Fdf(pageValues1, 'poradie28') == 1 || getPageValueRbList2Fdf(pageValues1, 'pismr28a') == true) ? 'X' : '') + ')/T (r2ap)>>');
//			stringBuilder.appendLine('	           << /V (' + celacast(getPageValue2Fdf(pageValues1, 'r28a')) + ')/T (r2a)>>');
//			stringBuilder.appendLine('	           << /V (' + desatinnacast(getPageValue2Fdf(pageValues1, 'r28a'), 3) + ')/T (r2ad)>>');
//			stringBuilder.appendLine('	           << /V (' + ((getPageValueRbList2Fdf(pageValues1, 'poradie28') == 2 || getPageValueRbList2Fdf(pageValues1, 'pismr28b') == true) ? 'X' : '') + ')/T (r2bp)>>');
//			stringBuilder.appendLine('	           << /V (' + celacast(getPageValue2Fdf(pageValues1, 'r28b')) + ')/T (r2b)>>');
//			stringBuilder.appendLine('	           << /V (' + desatinnacast(getPageValue2Fdf(pageValues1, 'r28b'), 5) + ')/T (r2bd)>>');

//			stringBuilder.appendLine('	           << /V (' + celacast(getPageValue2Fdf(pageValues1, 'r29')) + ')/T (r3)>>');
//			stringBuilder.appendLine('	           << /V (' + desatinnacast(getPageValue2Fdf(pageValues1, 'r29'), 3) + ')/T (r3d)>>');
//			stringBuilder.appendLine('	           << /V (' + celacast(getPageValue2Fdf(pageValues1, 'r30')) + ')/T (r4)>>');
//			stringBuilder.appendLine('	           << /V (' + desatinnacast(getPageValue2Fdf(pageValues1, 'r30'), 3) + ')/T (r4d)>>');
//			stringBuilder.appendLine('	           << /V (' + celacast(getPageValue2Fdf(pageValues1, 'r31')) + ')/T (r5)>>');
//			stringBuilder.appendLine('	           << /V (' + desatinnacast(getPageValue2Fdf(pageValues1, 'r31'), 3) + ')/T (r5d)>>');
//			stringBuilder.appendLine('	           << /V (' + celacast(getPageValue2Fdf(pageValues1, 'r32')) + ')/T (r6)>>');
//			stringBuilder.appendLine('	           << /V (' + desatinnacast(getPageValue2Fdf(pageValues1, 'r32'), 3) + ')/T (r6d)>>');
//			stringBuilder.appendLine('	           << /V (' + celacast(getPageValue2Fdf(pageValues1, 'r33')) + ')/T (r7)>>');
//			stringBuilder.appendLine('	           << /V (' + desatinnacast(getPageValue2Fdf(pageValues1, 'r33'), 3) + ')/T (r7d)>>');
//			stringBuilder.appendLine('	           << /V (' + celacast(getPageValue2Fdf(pageValues1, 'r34')) + ')/T (r8)>>');
//			stringBuilder.appendLine('	           << /V (' + desatinnacast(getPageValue2Fdf(pageValues1, 'r34'), 3) + ')/T (r8d)>>');
//			stringBuilder.appendLine('	           << /V (' + celacast(getPageValue2Fdf(pageValues1, 'r35')) + ')/T (r9)>>');
//			stringBuilder.appendLine('	           << /V (' + desatinnacast(getPageValue2Fdf(pageValues1, 'r35'), 3) + ')/T (r9d)>>');
//			stringBuilder.appendLine('	           << /V (' + celacast(getPageValue2Fdf(pageValues1, 'r36')) + ')/T (r10)>>');
//			stringBuilder.appendLine('	           << /V (' + desatinnacast(getPageValue2Fdf(pageValues1, 'r36'), 3) + ')/T (r10d)>>');
//			stringBuilder.appendLine('	           << /V (' + prepisznakyFdf(znamienko(getPageValue2Fdf(pageValues1, 'r37'))) + ')/T (r11z)>>');
//			stringBuilder.appendLine('	           << /V (' + bezZnamienka(celacast(getPageValue2Fdf(pageValues1, 'r37'))) + ')/T (r11)>>');
//			stringBuilder.appendLine('	           << /V (' + desatinnacast(getPageValue2Fdf(pageValues1, 'r37'), 3) + ')/T (r11d)>>');
//			stringBuilder.appendLine('	           << /V (' + prepisznakyFdf(znamienko(getPageValue2Fdf(pageValues1, 'r38'))) + ')/T (r12z)>>');
//			stringBuilder.appendLine('	           << /V (' + bezZnamienka(celacast(getPageValue2Fdf(pageValues1, 'r38'))) + ')/T (r12)>>');
//			stringBuilder.appendLine('	           << /V (' + desatinnacast(getPageValue2Fdf(pageValues1, 'r38'), 2) + ')/T (r12d)>>');
//			stringBuilder.appendLine('            ]');
//			stringBuilder.appendLine('            >>');
//			if (!(aktcyklus & 1) && (pdfstrana == pocetstran)) {
//				stringBuilder.appendLine('	         << /V (' + prepisznakyFdf(znamienko($('#r39').val())) + ')/T (vysledna_danz)>>');
//				stringBuilder.appendLine('	         << /V (' + bezZnamienka(celacast($('#r39').val())) + ')/T (vysledna_dan)>>');
//				stringBuilder.appendLine('	         << /V (' + desatinnacast($('#r39').val(), 2) + ')/T (vysledna_dand)>>');
//				stringBuilder.appendLine('	         << /V (' + prepisznakyFdf($('#r40').val()) + ')/T (vysledna_dans)>>');

//				stringBuilder.appendLine('	         << /V (' + prepisznakyFdf(znamienko($('#r41').val())) + ')/T (vysledna_dan_sucetz)>>');
//				stringBuilder.appendLine('	         << /V (' + bezZnamienka(celacast($('#r41').val())) + ')/T (vysledna_dan_sucet)>>');
//				stringBuilder.appendLine('	         << /V (' + desatinnacast($('#r41').val(), 2) + ')/T (vysledna_dan_sucetd)>>');
//				stringBuilder.appendLine('	         << /V (' + prepisznakyFdf($('#r42').val()) + ')/T (vysledna_dan_sucets)>>');
//				stringBuilder.appendLine('            ]');
//				stringBuilder.appendLine('            >>');
//			} else if (!(aktcyklus & 1)) {
//				stringBuilder.appendLine('	         << /V ()/T (vysledna_danz)>>');
//				stringBuilder.appendLine('	         << /V ()/T (vysledna_dan)>>');
//				stringBuilder.appendLine('	         << /V ()/T (vysledna_dand)>>');
//				stringBuilder.appendLine('	         << /V ()/T (vysledna_dans)>>');

//				stringBuilder.appendLine('	         << /V ()/T (vysledna_dan_sucetz)>>');
//				stringBuilder.appendLine('	         << /V ()/T (vysledna_dan_sucet)>>');
//				stringBuilder.appendLine('	         << /V ()/T (vysledna_dan_sucetd)>>');
//				stringBuilder.appendLine('	         << /V ()/T (vysledna_dan_sucets)>>');

//				stringBuilder.appendLine('         ]');
//				stringBuilder.appendLine('       >>');
//			}
//			cisloPoslSek = aktcyklus + 1;
//		}
//		stringBuilder.appendLine('');
//	}
//	if ($('#layoutRow27119').pageableSection().totalPages & 1) {
//		stringBuilder.appendLine('	       << /T (2)/Kids');
//		stringBuilder.appendLine('	        [');
//		stringBuilder.appendLine('	           << /V ()/T (r1-28a)>>');
//		stringBuilder.appendLine('	           << /V ()/T (r1-28b)>>');
//		stringBuilder.appendLine('	           << /V ()/T (r1-28c)>>');
//		stringBuilder.appendLine('	           << /V ()/T (r1-28d)>>');
//		stringBuilder.appendLine('	           << /V ()/T (r1-p)>>');
//		stringBuilder.appendLine('	           << /V ()/T (r1-t)>>');
//		stringBuilder.appendLine('	           << /V ()/T (r2ap)>>');
//		stringBuilder.appendLine('	           << /V ()/T (r2a)>>');
//		stringBuilder.appendLine('	           << /V ()/T (r2ad)>>');
//		stringBuilder.appendLine('	           << /V ()/T (r2bp)>>');
//		stringBuilder.appendLine('	           << /V ()/T (r2b)>>');
//		stringBuilder.appendLine('	           << /V ()/T (r2bd)>>');
//		stringBuilder.appendLine('	           << /V ()/T (r3)>>');
//		stringBuilder.appendLine('	           << /V ()/T (r3d)>>');
//		stringBuilder.appendLine('	           << /V ()/T (r4)>>');
//		stringBuilder.appendLine('	           << /V ()/T (r4d)>>');
//		stringBuilder.appendLine('	           << /V ()/T (r5)>>');
//		stringBuilder.appendLine('	           << /V ()/T (r5d)>>');
//		stringBuilder.appendLine('	           << /V ()/T (r6)>>');
//		stringBuilder.appendLine('	           << /V ()/T (r6d)>>');
//		stringBuilder.appendLine('	           << /V ()/T (r7)>>');
//		stringBuilder.appendLine('	           << /V ()/T (r7d)>>');
//		stringBuilder.appendLine('	           << /V ()/T (r8)>>');
//		stringBuilder.appendLine('	           << /V ()/T (r8d)>>');
//		stringBuilder.appendLine('	           << /V ()/T (r9)>>');
//		stringBuilder.appendLine('	           << /V ()/T (r9d)>>');
//		stringBuilder.appendLine('	           << /V ()/T (r10)>>');
//		stringBuilder.appendLine('	           << /V ()/T (r10d)>>');
//		stringBuilder.appendLine('	           << /V ()/T (r11z)>>');
//		stringBuilder.appendLine('	           << /V ()/T (r11)>>');
//		stringBuilder.appendLine('	           << /V ()/T (r11d)>>');
//		stringBuilder.appendLine('	           << /V ()/T (r12z)>>');
//		stringBuilder.appendLine('	           << /V ()/T (r12)>>');
//		stringBuilder.appendLine('	           << /V ()/T (r12d)>>');
//		stringBuilder.appendLine('            ]');
//		stringBuilder.appendLine('            >>');
//		if (pdfstrana == pocetstran) {
//			stringBuilder.appendLine('	         << /V (' + prepisznakyFdf(znamienko($('#r39').val())) + ')/T (vysledna_danz)>>');
//			stringBuilder.appendLine('	         << /V (' + bezZnamienka(celacast($('#r39').val())) + ')/T (vysledna_dan)>>');
//			stringBuilder.appendLine('	         << /V (' + desatinnacast($('#r39').val(), 2) + ')/T (vysledna_dand)>>');
//			stringBuilder.appendLine('	         << /V (' + prepisznakyFdf($('#r40').val()) + ')/T (vysledna_dans)>>');

//			stringBuilder.appendLine('	         << /V (' + prepisznakyFdf(znamienko($('#r41').val())) + ')/T (vysledna_dan_sucetz)>>');
//			stringBuilder.appendLine('	         << /V (' + bezZnamienka(celacast($('#r41').val())) + ')/T (vysledna_dan_sucet)>>');
//			stringBuilder.appendLine('	         << /V (' + desatinnacast($('#r41').val(), 2) + ')/T (vysledna_dan_sucetd)>>');
//			stringBuilder.appendLine('	         << /V (' + prepisznakyFdf($('#r42').val()) + ')/T (vysledna_dan_sucets)>>');

//			stringBuilder.appendLine('         ]');
//			stringBuilder.appendLine('       >>');
//		} else {
//			stringBuilder.appendLine('	         << /V ()/T (vysledna_danz)>>');
//			stringBuilder.appendLine('	         << /V ()/T (vysledna_dan)>>');
//			stringBuilder.appendLine('	         << /V ()/T (vysledna_dand)>>');
//			stringBuilder.appendLine('	         << /V ()/T (vysledna_dans)>>');

//			stringBuilder.appendLine('	         << /V ()/T (vysledna_dan_sucetz)>>');
//			stringBuilder.appendLine('	         << /V ()/T (vysledna_dan_sucet)>>');
//			stringBuilder.appendLine('	         << /V ()/T (vysledna_dan_sucetd)>>');
//			stringBuilder.appendLine('	         << /V ()/T (vysledna_dan_sucets)>>');

//			stringBuilder.appendLine('         ]');
//			stringBuilder.appendLine('       >>');
//		}
//	}
//	stringBuilder.appendLine('      ]');
//	stringBuilder.appendLine('    /F (form.450.SPDZP-20-Strana3-print-save.pdf)');
//	stringBuilder.appendLine('    /ID [ <97fb02b45ad58b6aa2b6872c3aa1944c><9de158208a4c769cd4170b2fe84a6777>]');
//	stringBuilder.appendLine('  >> ');
//	stringBuilder.appendLine('>> ');
//	stringBuilder.appendLine('endobj');
//	stringBuilder.appendLine('trailer');
//	stringBuilder.appendLine('<< /Root 1 0 R >>');
//	stringBuilder.appendLine('%%EOF');
//	return stringBuilder.string();
//}